org.eclipse.microprofile.openapi.apps.petstore.resource

## Class PetStoreResource

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.petstore.resource.PetStoreResource

    @Path(value="/store")
     @Produces(value={"application/json","application/xml"})
    public class PetStoreResource
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PetStoreResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.ws.rs.core.Response` `deleteOrder(Long orderId)`
`Map<String,Integer>` `getInventory()`
`javax.ws.rs.core.Response` `getOrderById(Long orderId)`
`Order` `placeOrder(Order order)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PetStoreResource

    public PetStoreResource()

### Method Detail

#### getInventory

    @GET
     @Path(value="/inventory")
     @Produces(value={"application/json","application/xml"})
    public Map<String,Integer> getInventory()

#### getOrderById

    @GET
     @Path(value="/order/{orderId}")
    public javax.ws.rs.core.Response getOrderById(@PathParam(value="orderId")
                                                                                        Long orderId)
                                                                                 throws NotFoundException

Throws:
  `NotFoundException`

#### placeOrder

    @POST
     @Path(value="/order")
    public Order placeOrder(Order order)

#### deleteOrder

    @DELETE
     @Path(value="/order/{orderId}")
    public javax.ws.rs.core.Response deleteOrder(@PathParam(value="orderId")
                                                                                          Long orderId)